package com.tianyi.sync.controller;


import com.tianyi.sync.service.ProfitDataSyncService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class ProfitDataSyncController {

    private final ProfitDataSyncService profitDataSyncService;

    public ProfitDataSyncController(ProfitDataSyncService profitDataSyncService) {
        this.profitDataSyncService = profitDataSyncService;
    }

    /**
     * 利润数据同步
     *
     * @return
     */
    @PostMapping("/profit/data/sync")
    public Object profitDataSync() {
        return profitDataSyncService.profitSync();
    }
}
