package com.tianyi.sync.mapper.slave;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.tianyi.sync.model.FreeQueryLiabilitiesModel;
import com.tianyi.sync.model.FreeQueryProfitModel;
import com.tianyi.sync.model.IndexAccountModel;
import com.tianyi.sync.model.ParmDataModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 李天壮
 * @date 2024年07月30日 08:43
 */
@DS("slave")
public interface LiabilitiesSlaveMapper {
    void delete(ParmDataModel profitModel);

    List<String> getCodeList();

    List<IndexAccountModel> getAccount(@Param("indexName") String indexname);

    void save(@Param("freeQueryLiabilitiesModelList") List<FreeQueryLiabilitiesModel> freeQueryLiabilitiesModelList);
}
