package com.tianyi.sync.utils;


import java.time.LocalDate;
import java.time.format.DateTimeFormatter;


public class DateUtils {
    /**
     * 获取当前年月
     *
     * @return
     */
    public static String getYearAndMonthLast() {
        LocalDate now = LocalDate.now();
        LocalDate lastMonth = now.minusMonths(1); // 获取上个月
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM");
        return now.format(DateTimeFormatter.ofPattern(lastMonth.format(formatter)));
    }
}
